TP-Docs
HTML5 Icon HTML5 Icon HTML5 Icon
TP on Social Media

Recent

Welcome to TinyPortal. Please login or sign up.

July 18, 2024, 06:04:16 PM

Login with username, password and session length
Members
Stats
  • Total Posts: 195,323
  • Total Topics: 21,233
  • Online today: 75
  • Online ever: 3,540 (September 03, 2022, 01:38:54 AM)
Users Online
  • Users: 2
  • Guests: 40
  • Total: 42
  • @rjen

Field 'downloads' doesn't have a default value Line: 1279

Started by Nifelhein, December 13, 2016, 12:38:22 PM

Previous topic - Next topic

0 Members and 1 Guest are viewing this topic.

Nifelhein

Link to my forum: http://www.againsttheshadow.org/
SMF version: 1.1.21
TP version: 1.104
Default Forum Language: English
Theme name and version: An edit of Mercury Theme from Bloc, version 1.1
Browser Name and Version: Happening in multiple versions / browsers
Mods installed:
1. Stop Spammer 2.3.9
2. TinyPortal 1.104
3. Anti-Spam Verification Questions 1.02
4. Dice Roller BBcode 1.3
5. Tapatalk SMF Plugin 3.0.0
6. SMF 1.0.23 / 1.1.17 Update 1.0
7. SMF 1.1.18 Update 1.0
8. SMF 1.1.19 / 2.0.6 Update 1.0
9. SMF 1.1.20 / 2.0.9 Update 1.0
10. SMF 1.1.21 / 2.0.10 Update 1.0

Related Error messages: Any registered user trying to download a file from the website using the tinyportal downloads manager gets the following error message:

Database Error
Field 'downloads' doesn't have a default value
File: /home/raoni707/public_html/ats/Sources/TPdlmanager.php
Line: 1279

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.21, while your database is at version 1.1.13. The above error might possibly go away if you execute the latest version of upgrade.php.

Unregistered users get a different message:

Database Error
Please try again. If you come back to this error screen, report the error to an administrator.

User notes
I tried running upgrade.php for the smf version i am using, with all mods disabled but it failed to run, right now I am stuck in how to proceed, it seems to be a database problem related to tinyportal upgrade not being done properly.

And because the site is pretty much an archive these days the upgrade happened a long time ago and the issue wasn't reported until recently.

I setup a test user account: Trapped Spirit pass is this mod's name with all lowercase and no spaces.

Thanks for any help in advance and for keeping this mod and its community alive.

WillyP

The error message specifically states SMF version. Since Tiny portal relies on a properly functioning SMF, even though the problem is with downloading through a Tiny Portal feature, the problem is really in the SMF installation. I would try reverting back to 1.1.13 version of the files and see if the error goes away, then try upgrading again.

Nifelhein

Thanks a lot for the reply WillyP, I have been very busy at the end of teh year and haven't found time to make the necessary downgrade and tests, will get back to you as soon as I can

Nifelhein

Well,

After some time out of the house I am back. Tinkering around with upgrade.php didn't really give me anything. I was, however able to see a different error message by uninstalling som,e smf upgrades for the 1.1.16 branch:

QuoteField 'downloads' doesn't have a default value
File: /home/raoni707/public_html/ats/Sources/TPdlmanager.php
Line: 1279

Note: It appears that your database may require an upgrade. Your forum's files are currently at version SMF 1.1.16, while your database is at version 1.1.13. The above error might possibly go away if you execute the latest version of upgrade.php.

Funny thing is I don't have an upgrade from 1.1.13 in my packages it starts with the upgrade from 1.1.16 to 1.1.17

Another thing I tried was applying an older version of tinyportal, in this case 0.983, which was the version i had before the current one (1.104) in my backups. It messes up with the frontpage menus because of the theme and so on, but the downloads area works again.

It seems my website currently has its database locked to the 0.983 tinyportal version, gotta check hot to upgrade it to 1.104 or 1.07 which seem to be the latest version availabel for SMF 1.1

Any ideas before I start tinkering with the website again?

I have a full backup, database and files from a while ago when I believe the files were being accessed fine.

lurkalot

Am I right in thinking you want to stay using SMF 1.1.xx series?

I really recommend you look into ugrading to SMF 2.0.13 and run the latest Tinyportal 1.2

You need to back up all your files though before doing this, as well a you database. I would also advise you to turn off all the blocks in TP before upgrading too, as some of your blocks might not be compatible with SMF 2.0.xx

Nifelhein

Usually I would, but I would rather have a fully functional website than stick with the customized theme right now.

illori

considering that SMF 1.1* is basically no longer getting security updates, it is a security risk to be running SMF 1.1.* at this point. you can easily get hacked if an issue is found as no patches will be made to fix the issues.

Nifelhein

I meant to update in the near future for that exact reason, but didn't really consider that upgrading might solve this particular issue.

I will see if I can make the backups and upgrade in the near future to see if it can restore the website's functionality while also keeping it safe from hacks.